/* Anders Westlunds Entreprenad AB */

/* Animationer */
@import url('/resources/scripts/aos/2.3.1/aos.css');

/* ==========================================================================
Generellt
========================================================================== */
:root {
	/* 	Colors */
	--primary-color: 190, 29, 44;

	--black-color: 34, 34, 34;
	--gray-dark-color: 58, 58, 58;
	--gray-color: 217, 217, 217;
	--white-color: 255, 255, 255;

	/* 	Layout  */
	--col-padding: 3rem;
	--menu-height: 8rem;
	--menu-height-scrolled: 8rem;
	--section-width: 130rem;

	/* 	Typography */
	--base-size: 1.6rem;

	/* 	Mobile nav */
	--activate-mobile-menu: 980;
	--mobile-menu-height: 6rem;
	--mobile-menu-bg: var(--black-color);
	--menu-color: var(--white-color);
}

@media only screen and (max-width: 580px) {
	:root {
		--base-size: 1.5rem;
	}
}

/* Layout
========================================================================== */
.section-block {
	padding: 10rem 5rem;
}

/* Paddings */
.p-2 .section-block,
.p-2:not(.section-wrapper) {
	padding: 2rem;
}

.pb-0 .section-block,
.pb-0:not(.section-wrapper) {
	padding-bottom: 0;
}

/* Margins */
.mt-2 {
	margin-top: 2rem;
}

@media only screen and (max-width: 1024px) {
	.section-block {
		padding: 8rem 3rem;
	}
}

@media only screen and (max-width: 580px) {
	.section-block {
		padding: 5rem 2rem;
	}
}

/* Text och typsnitt
========================================================================== */
body {
	font-family: 'Hind', sans-serif;
}

/* Rubriker */
.text-label {
	padding-bottom: 1em;
	font-size: 1.4rem;
	font-weight: 600;
	text-transform: uppercase;
	color: rgb(var(--primary-color));
}

.section-title {
	padding-bottom: .5em;
	font-size: 4rem;
	font-weight: 700;
	line-height: 1.2;
}

.small-title {
	padding-bottom: .3em;
	font-size: 2.2rem;
	font-weight: 700;
	line-height: 1.4;
}

/* Brodtext och lankar */
p,
li {
	color: rgb(var(--gray-dark-color));
}

/* Ovriga klasser */
.text-block {
	max-width: 70rem;
}

.text-block-center {
	max-width: 70rem;
	margin-left: auto;
	margin-right: auto;
}

.text-bold {
	font-weight: 700;
}

.text-center {
	text-align: center;
}

@media only screen and (max-width: 1200px) {

	/* Rubriker */
	.section-title {
		font-size: 3.8rem;
	}

	.small-title {
		font-size: 2.2rem;
	}
}

@media only screen and (max-width: 580px) {

	/* Rubriker */
	.section-title {
		font-size: 2.5rem;
	}

	.small-title {
		font-size: 2rem;
	}

	.text-label {
		font-size: 1.2rem;
	}
}

/* Knappar och speciella lankar
========================================================================== */
.btn-wrapper {
	margin-top: 3rem;
}

.btn-wrapper.center {
	text-align: center;
}

/* Knappar */
.btn,
.ContactSubmit {
	min-width: 15rem;
	padding: 1rem 3rem;
	margin: 5px;
	font-size: 1.5rem;
	font-weight: 400;
	text-transform: uppercase;
	text-align: center;
	letter-spacing: .1em;
	text-decoration: none;
	transition: all .4s ease;
}

.ContactSubmit {
	color: rgb(var(--white-color));
	border: 2px solid rgb(var(--primary-color));
	background-color: rgb(var(--primary-color));
}

.ContactSubmit:hover {
	color: rgb(var(--primary-color));
	border: 2px solid rgb(var(--primary-color));
	background-color: transparent;
}

.btn-white-filled,
.btn-white-border:hover {
	color: rgb(var(--black-color));
	border: 2px solid rgb(var(--white-color));
	background-color: rgb(var(--white-color));
}

.btn-white-filled:hover,
.btn-white-border {
	color: rgb(var(--white-color));
	border: 2px solid rgb(var(--white-color));
	background-color: transparent;
}

@media only screen and (max-width: 1050px) {

	.btn,
	.ContactSubmit {
		padding: 0.7rem 1.8rem;
	}
}

/* Farger
========================================================================== */
/* Bakgrunder */
.bg-black {
	background-color: rgb(var(--black-color));
}

.bg-gray {
	background-color: rgb(var(--gray-color));
}

/* Text */
.text-primary {
	color: rgb(var(--primary-color));
}

.text-white {
	color: rgb(var(--white-color));
}

/* Grafiska element
========================================================================== */
.box-shadow {
	box-shadow: 4px 2px 2px rgb(var(--black-color), .264);
}

/* Bakgrundsbilder och videos
========================================================================== */
.bg-image,
.bg-video {
	position: relative;
	overflow: hidden;
}

.bg-image-wrapper,
.bg-video-wrapper {
	z-index: -1;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

/* Video */
.bg-video-wrapper video {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

/* Cards
========================================================================== */
.cards-wrapper {
	display: flex;
	flex-wrap: wrap;
}

.cards-wrapper:not(.w-100) {
	margin-left: -1rem;
	margin-right: -1rem;
}

/* Bredder */
.cards-wrapper.w-33 .card-item {
	width: calc((100% / 3) - 2rem);
	margin: 1rem;
}

.cards-wrapper.w-100 .card-item {
	width: 100%;
	margin: 1rem 0;
}

@media only screen and (max-width: 1050px) {

	/* Bredder */
	.cards-wrapper.w-33 .card-item {
		width: calc((100% / 2) - 2rem);
	}
}

@media only screen and (max-width: 750px) {
	.cards-wrapper:not(.w-100) {
		margin-left: 0;
		margin-right: 0;
	}

	/* Bredder */
	.cards-wrapper.w-33 .card-item {
		width: 100%;
		margin: 1rem 0;
	}
}

/* Card 2-4 */
.card-2-4 .card-item {
	display: flex;
	align-items: center;
	text-decoration: none;
}

.card-2-4 a.card-item:hover {
	background: rgb(var(--gray-color));
}

.card-2-4 .card-header {
	display: inline-flex;
	justify-content: center;
	align-items: center;
	width: 5.5rem;
	height: 5.5rem;
	border-radius: 50%;
}

.card-2-4 .card-header i {
	font-size: 3rem;
}

.card-2-4 .card-body {
	padding: 0 2rem;
}

@media only screen and (max-width: 420px) {
	.card-2-4 .card-header {
		width: 4.5rem;
		height: 4.5rem;
	}

	.card-2-4 .card-header i {
		font-size: 2.5rem;
	}

	.card-2-4 .card-body {
		padding: 1rem;
	}
}

/* Card 3-3 */
.card-3-3 .small-title i {
	margin-right: 4px;
}

/* Split wrapper
========================================================================== */
.split-wrapper {
	display: flex;
	flex-wrap: wrap;
}

.split-wrapper.reverse {
	flex-direction: row-reverse;
}

.split-content {
	width: 50%;
	padding: 5rem;
}

.split-image {
	width: 50%;
}

/* Centrera content */
.split-wrapper .align-center {
	align-self: center;
}

@media screen and (max-width: 1300px) {
	.split-content {
		padding: 3rem;
	}
}

@media screen and (max-width: 1000px) {

	.split-wrapper,
	.split-wrapper.reverse {
		flex-direction: column;
		background: transparent;
	}

	.split-content {
		width: 100%;
		max-width: 70rem;
		padding: 0 0 3rem;
		background: transparent;
	}

	.split-image {
		width: 100%;
		min-height: 20rem;
	}

	/* Centrera content */
	.split-wrapper .align-center {
		align-self: flex-start;
	}
}

/* Header / Navigation
========================================================================== */
header:not(.scrolled) {
	border-color: transparent;
	background-color: transparent;
}

header.scrolled {
	background-color: rgb(var(--black-color));
}

/* Logo */
.header-logo {
	flex: 1 1 0px;
}

.header-logo a {
	font-weight: 700;
	text-decoration: none;
	font-size: 3rem;
	color: rgb(var(--white-color));
}

/* Nav */
.TemplateMenu a {
	font-weight: 400;
	font-size: 1.6rem;
	color: rgb(var(--white-color));
}

header:not(.scrolled, .mobile-menu) .TemplateMenu>li:not(.active)>a:not(:hover) {
	color: rgb(var(--black-color));
}


/* Mobilmeny */
.mobile-menu:not(.scrolled, .active-menu) {
	--menu-color: var(--white-color);
}

.mobile-menu .TemplateMenu li {
	padding: 0 2rem;
	text-align: center;
}

@media only screen and (max-width: 580px) {

	/* Header logo */
	.header-logo a {
		font-size: 2.2rem;
	}
}

/* ==========================================================================
Startsida
========================================================================== */

/* Top-section
========================================================================== */
.top-section {
	display: flex;
	justify-content: center;
	align-items: center;
	min-height: calc(100vh - var(--menu-height));
	padding-top: var(--menu-height);
	margin-top: calc(var(--menu-height) * -1);
	background: linear-gradient(260deg, rgb(var(--black-color), 0) 40%, rgb(var(--primary-color), .8) 40%);
}

.top-section .section-block {
	width: 100%;
}

.top-section .text-block {
	max-width: 85rem;
}

.top-section .text-label {
	font-size: 3rem;
	font-weight: 400;
	letter-spacing: .1em;
}

.top-section .section-title {
	font-size: 7.2rem;
	font-weight: 600;
	line-height: 1.5;
}

.top-section .small-title {
	font-size: 2rem;
	font-weight: 400;
	letter-spacing: .1em;
	text-transform: uppercase;
}

@media only screen and (max-width: 1200px) {
	.top-section .text-label {
		font-size: 2.5rem;
	}

	.top-section .section-title {
		font-size: 4.5rem;
	}
}

@media only screen and (max-width: 580px) {
	.top-section {
		align-items: flex-end;
		background: linear-gradient(185deg, rgb(var(--black-color), 0) 40%, rgb(var(--primary-color), .8) 40%);
	}

	.top-section .text-label {
		font-size: 1.6rem;
	}

	.top-section .section-title {
		font-size: 3.5rem;
	}

	.top-section .small-title {
		font-size: 1.7rem;
	}
}

/* Tjanster
========================================================================== */
.section-services .section-title {
	font-size: 6.5rem;
}

.section-services .text-label {
	font-weight: 600;
	letter-spacing: .1em;
	font-size: 1.7rem;
}

@media only screen and (max-width: 1200px) {
	.section-services .section-title {
		font-size: 4.3rem;
	}
}

@media only screen and (max-width: 580px) {
	.section-services .section-title {
		font-size: 2.9rem;
	}
}


/* Bildspel
========================================================================== */
.section-scroll {
	overflow: hidden;
}

/* Slider */
.scroll-wrapper.cards-wrapper {
	margin-bottom: 5rem;
}

.scroll-wrapper.cards-wrapper .slick-list {
	width: 100%;
	overflow: hidden;
}

.scroll-wrapper.cards-wrapper .slick-track {
	display: flex;
}

.scroll-wrapper.cards-wrapper .card-item {
	display: flex;
	height: auto;
	flex-direction: row;
	margin: 0 1rem;
	transition: all .3s ease;
}

/* Thumbnails */
.fancybox-container.fancybox-show-thumbs .fancybox-inner {
	top: 0;
	bottom: 100px;
	right: 0;
	left: 0;
}

.fancybox-container.fancybox-show-thumbs .fancybox-thumbs {
	width: 100%;
	height: 100px;
	bottom: 0;
	top: auto;
	background: rgb(var(--black-color));
}

.fancybox-container.fancybox-show-thumbs .fancybox-thumbs__list {
	display: flex;
	flex-wrap: nowrap;
	justify-content: flex-start;
	padding: 10px;
	overflow-x: auto;
	overflow-y: hidden;
	white-space: nowrap;
}

.fancybox-thumbs__list a {
	flex: 0 0 auto;
	margin-right: 8px;
}

.fancybox-container .fancybox-thumbs__list a.fancybox-thumbs-active::before {
	border: 2px solid rgb(var(--primary-color));
}

/* Card item */
.scroll-wrapper .card-item {
	display: flex;
	flex-direction: column;
	margin: 0 2rem 0 0;
}

/* Slick Arrow */
.scroll-wrapper .slick-arrow {
	position: absolute;
	top: auto;
	bottom: -4rem;
	width: 2.3rem;
	height: 2.3rem;
	border-radius: 50%;
	background-color: rgb(var(--gray-color), .9);
}

.scroll-wrapper .slick-arrow::after {
	font-weight: 300;
	line-height: 0;
	color: rgb(var(--black-color));
}

.scroll-wrapper .slick-next {
	left: auto;
	right: 2rem;
}

.scroll-wrapper .slick-prev {
	right: auto;
	left: 2rem;
}

@media only screen and (max-width: 750px) {
	.scroll-wrapper.cards-wrapper .card-item {
		margin: 0;
	}
}

/* Kontakt
========================================================================== */
.section-contact .section-block-wrapper {
	justify-content: space-between;
}

.section-contact .col-1 {
	max-width: 45rem;
	padding: 0;
}

.ContactForm input[type="text"],
.ContactForm input[type="email"],
.ContactForm input[type="tel"],
.ContactForm textarea {
	border-radius: 5px;
}

@media only screen and (max-width: 980px) {
	.section-contact .col-1 {
		margin: 5rem auto 0;
	}
}

/* ==========================================================================
Footer
========================================================================== */
.footer {
	padding: 0 5rem;
	background-color: rgb(var(--black-color));
}

/* Footer top */
.footer-top {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	padding: 8rem 0 4rem;
}

.footer-menu {
	width: 20%;
	margin: 0 0 3rem;
}

.footer .text-label {
	padding: 0 0 1rem;
	color: rgb(var(--primary-color));
	line-height: 1;
}

.footer-submenu {
	padding: 0;
	margin: 0 0 3rem;
	list-style: none;
}

.footer-top p,
.footer-top a {
	font-size: 1.5rem;
	text-decoration: none;
	color: rgb(var(--white-color));
}

.footer-top a:hover {
	color: rgb(var(--primary-color));
	text-decoration: none;
}

/* Footer bottom */
.footer-bottom {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	padding: 2rem 0;
}

.footer-bottom p,
.footer-bottom a {
	font-size: 1.3rem;
	line-height: 1.6;
	color: rgb(var(--white-color));
}

/* WebbEss Stamp  */
.footer .webbess-stamp {
	display: flex;
	align-items: center;
	text-decoration: none;
}

.webbess-stamp img {
	width: 2.5rem;
	margin-left: 1rem;
	filter: invert();
}

@media only screen and (max-width: 1200px) {
	.footer {
		padding: 0 3rem;
	}

	/* Footer top */
	.footer-menu {
		width: 33.333%;
	}

	.footer-menu-large {
		width: 100%;
	}

	.footer-menu-large p {
		max-width: 55rem;
	}
}

@media only screen and (max-width: 750px) {

	/* Footer top */
	.footer-menu,
	.footer-menu-large {
		width: 100%;
	}
}

@media only screen and (max-width: 580px) {
	.footer {
		padding: 0 2rem;
	}

	/* Footer top */
	.footer-top {
		padding: 5rem 0;
	}

	/* Footer bottom */
	.footer-bottom {
		flex-direction: column-reverse;
		text-align: center;
	}

	.webbess-stamp {
		margin: 0 auto 2rem;
	}
}